import request from '@/utils/request'

// 根据筛选条件查询分类数量
// export function selectGroupCount(params = {}) {
//   return request({
//     url: '/item/items/selectGroupCount',
//     method: 'get',
//     params
//   });
// }


// 根据筛选条件查询查获物品明细列表
export function selectByConditions(params = {}) {
  return request({
    url: '/item/items/selectByConditions',
     method: 'get',
    params
  })
}

// 根据筛选条件查询分类数量
export function selectGroupCount(params = {}) {
  return request({
    url: '/item/items/selectCount',
    method: 'get',
    params
  });
}

/**
 * @name 根据时段获取当前用户的上岗位置信息
 * @param {*} params.searchtime YYYY-MM-DD hh:mm:ss 
*/
export function getLocationsbyTime (params) {
  return request({
    url: '/attendance/postRecord/getLocationsbyTime',
    method: 'post',
    data: params
  });
}

/**
 * @name 获取分类信息(包含父类)
 * @param {*} type （1表示常用违禁品， 2表示常用查获部位）
*/
export function categoryInfo (type) {
  return request({
    url: `/system/defaultChoise/categoryInfo/${type}`,
    method: 'get'
  });
}

/**
 * @name 对违禁品类进行模糊搜索
 * @param {*} name 查询字符串
*/
export function categoryList (params) {
  return request({
    url: `/system/category/list`,
    method: 'get',
    params
  });
}
